Subject: [bug#68946] [PATCH v2] guix: Add logging module.

From: Ludovic Courtès <[email-masked]>
Date: Sat, 24 Feb 2024 12:44:13 +0100

Hi,

Maxim Cournoyer <[email-masked]> skribis:

>> My concern with logging is that it’s not a good fit for the functional
>> parts (unless it has a functional interface like ‘pk’, but that’s still
>> sorta “cluttering” otherwise functional code), and I’m not sure which
>> imperative part it could be used for (I don’t doubt there’s such a
>> thing, but I lack imagination).
>
> I understand the concern, but I think to be able to trace execution
> easily at run time with a simple `--log-level=debug' would provide value
> enough (as a developer aid) to justify it.

Again, I lack imagination; where would you use it today?

I think we should only add this facility once it has at least one user.
Otherwise people using ‘--log-level’ would be disappointed.  :-)

Ludo’.